//*********************************************************************
// Copyright (C) 2005,  Lucian Constantin <struct_bylighting@yahoo.com>
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either
// version 2 of the License, or (at your option) any later
// version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//*********************************************************************

#ifndef GDB_H
#define GDB_H
#include "hashdb.h" // lucian: add something easyer!
#include <qwidget.h>
#include <qthread.h>
#include <vector>

class GdbEdit;
class Q3MultiLineEdit;
class Editor;

class GdbThread: public QThread {
#ifdef USING_QT4
	Q_OBJECT
#endif
private:
public:
	GdbThread(Editor *parent);
	~GdbThread();
	bool isActive() {
		return active_;
	}

	QString getDisplayLine() {
		return display_line_;
	}
	void injectCommand(QString cmd);


protected:
	void run();

protected:
	// wrapper for sending the display line to Editor application
	void sendDisplayLine();
#ifdef USING_QT4
signals:
	// emit this singnal when a new display line is available from gdb
	void gdbDisplayLine();
#endif

protected:
	// wrapper for sending the display line to Editor application
	void sendDisplayText(QString txt);
#ifdef USING_QT4
signals:
	// emit this singnal when a new display line is available from gdb
	void gdbDisplayText();
#endif

private:
	// parent  where to send the event (in qt3)
	Editor *parent_;

	// is /usr/bin/gdb active or not
	volatile bool active_;

	// edit control, derived from a qtextedit, buffers the input line
	GdbEdit *w_;

	// text with the file and line number describing the current gdb position
	QString display_line_;
};

#endif
