//****************************************************************************
// Copyright (C) 2005,  Lucian Constantin <struct_bylighting@yahoo.com>
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either
// version 2 of the License, or (at your option) any later
// version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//****************************************************************************

#ifndef STATUSFIELD_H
#define STATUSFIELD_H

#include "global.h"
#include "qwerty.h"

class StatusField: public QWidget {
public:
	StatusField(Editor *e, QWidget *parent, const char *name): QWidget(parent, name) {
		e_ = e;
		name_ = name;
		Q3VBoxLayout *vly = new Q3VBoxLayout(this, 1);
		vly->setAutoAdd(true);

		label_ = new QLabel("", this);
	}

	StatusField(Editor *e, QWidget *parent, const char *name, const char *label): QWidget(parent, name) {
		e_ = e;
		name_ = name;
		Q3VBoxLayout *vly = new Q3VBoxLayout(this, 1);
		vly->setAutoAdd(true);

		label_ = new QLabel(label, this);
	}

	void setText(const QString &text) {
		if (text.length() == 0) {
			setShown(false);
			label_->setText("");
		}
		else {
			setShown(true);
			label_->setText(text);
		}
	}
	void mousePressEvent ( QMouseEvent * e ) {
		(void) e;

		if (strcmp(name_, "ins_ovr") == 0)
			e_->toggleOverwrite();
		else if (strcmp(name_, "language") == 0)
			e_->configLanguage();
		else if (strcmp(name_, "format") == 0)
			e_->changeFormat();
	}
private:
	Editor *e_;
	const char *name_;
	QLabel *label_;
};


#endif
