//*********************************************************************
// Copyright (C) 2005,  Lucian Constantin <struct_bylighting@yahoo.com>
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either
// version 2 of the License, or (at your option) any later
// version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//*********************************************************************

#include "tstring.h"

TString::TString(): QObject() {
	empty_fname = tr("empty buffer");
	version = tr("rospell version");
	help = tr(" NAME\n"
"    rospell - UTF-8 programming text editor and speller.\n"
"\n"
" SYNOPSYS\n"
"    rospell [options] filename\n"
"\n"
" DESCRIPTION\n"
"    rospell is a UTF-8 text editor for programmers and general use.\n"
"    It features syntax highlighting, a code beautifier for C and C++, and support for\n"
"    ctags, grep, diff, and merge. It also includes a speller for English and Romanian.\n"
"\n"
"    To start the spelling from the current cursor position press Start. Use\n"
"    Ignore to jump over a word, or Add to add it to the local dictionary\n"
"    in ~/.rospell/dictionary.user.\n"
"\n"
"    rospell supports UTF-8, ISO8859, and CP1250 character sets.\n"
"    If the character set is not specified on the command line,\n"
"    UTF-8 is assumed.\n"
"\n"
"    rospell uses ALT key to enter Romanian special characters as follows:\n"
"\n"
"        ALT-a, ALT-s, ALT-q, ALT-t, ALT-i\n"
"\n"
" OPTIONS\n"
"    -v: installed version\n"
"\n"
"    -h, -?, --help: this help screen.\n"
"\n"
"    --utf8: use utf8 character set (default).\n"
"\n"
"    --iso8859-1, --latin1: use ISO8859-1 character set.\n"
"\n"
"    --iso8859-2, --latin2: use ISO8859-2 character set.\n"
"\n"
"    --iso8859-3, --latin3: use ISO8859-3 character set.\n"
"\n"
"    --iso8859-4, --latin4: use ISO8859-4 character set.\n"
"\n"
"    --iso8859-5, --cyrillic: use ISO8859-5 character set.\n"
"\n"
"    --iso8859-6, --arabic: use ISO8859-6 character set.\n"
"\n"
"    --iso8859-7, --greek: use ISO8859-7 character set.\n"
"\n"
"    --iso8859-8, --hebrew: use ISO8859-8 character set.\n"
"\n"
"    --iso8859-9, --latin5: use ISO8859-9 character set.\n"
"\n"
"    --iso8859-10, --latin6: use ISO8859-10 character set.\n"
"\n"
"    --iso8859-11: use ISO8859-11 character set.\n"
"\n"
"    --iso8859-12: use ISO8859-12 character set.\n"
"\n"
"    --iso8859-13: use ISO8859-13 character set.\n"
"\n"
"    --iso8859-14: use ISO8859-14 character set.\n"
"\n"
"    --iso8859-15: use ISO8859-15 character set.\n"
"\n"
"    --iso8859-16: use ISO8859-16 character set.\n"
"\n"
"    --cp1250: use CP1250 (Windows) character set.\n"
"\n"
"    (the following options are only available for UTF-8 character set)\n"
"\n"
"    -u: add all words to the local user dictionary\n"
"\n"
"    -p: print all new words\n"
"\n"
" EXAMPLE\n"
"    $ rospell file*.txt\n"
"    - start the editor using UTF-8 character set\n"
"\n"
"    $ rospell --iso8859-2 file*.txt\n"
"    - start the editor using ISO8859-2 character set\n"
"\n"
"    $ rospell -p file*.txt\n"
"    - generate a list of new words form file*.txt\n"
"\n"
" AUTHOR\n"
"    http://rospell.sourceforge.net\n"
"\n");
	err1 = tr("Sorry! Help not available! This is an install problem.\n");
	err2 = tr("Please contact the program author.");
	loading1 = tr("Loading master dictionary only, please wait...\n");
	loading2 = tr("Loading master and user dictionaries, please wait...\n");
	processing = tr("Processing file %s\n");

	stats1 = tr("ROSPELL Stats: found %d, not found %d, new words %d\n");
	stats2 = tr("    Speller words:\n    found: %d\n    not found: %d\n    new: %d\n");
	stats3 = tr("ROSPELL Stats: not found %d\n");


}
