#ifndef MYERRHANDLER_H_
#define MYERRHANDLER_H_
#include <qxml.h>
#include <qobject.h>

extern char *current_file;


class MyErrHandler: public QXmlErrorHandler
{


	public:
		bool warning ( const QXmlParseException & exception ) {
			print(exception, QString(QObject::trUtf8("Warning")));
			return false;
		}
		bool error ( const QXmlParseException & exception ) {
			print(exception, QString(QObject::trUtf8("Error")));
			return true;
		}
		bool fatalError ( const QXmlParseException & exception ) {
			print(exception, QString(QObject::trUtf8("Fatal Error")));
			return true;
		}
		QString errorString () {
			return "myerrhandler string";
		}
	private:
		void print(const QXmlParseException & exception, QString type) {
			char *fname = current_file;
			if (fname == 0)
				fname = "";
	
			QCString utype = type.utf8();
			const char *ctype = utype;

			QCString umsg = (exception.message()).utf8();
			const char *cmsg = umsg;

			fprintf(stderr, "%s:%d:%d: %s - %s\n", fname, exception.lineNumber(), exception.columnNumber(),
				ctype, cmsg);
		}
};

#endif
