/****************************************************************************
 ** $Id: qt/tagreader.cpp   3.3.8   edited Jan 11 14:37 $
 **
 ** Copyright (C) 1992-2007 Trolltech ASA.  All rights reserved.
 **
 ** This file is part of an example program for Qt.  This example
 ** program may be used, distributed and modified without limitation.
 **
 *****************************************************************************/

#include "myerrhandler.h"
#include "../../dictfiles.h"
#include <qtranslator.h>
#include <qapplication.h>
#include <qfile.h>
#include <qwindowdefs.h>
#include <qtextcodec.h>

char *current_file = 0;

#if 0
class StructureParser : public QXmlDefaultHandler
{
	public:
		bool startDocument() {
			indent = "";
			return TRUE;
		}

		bool startElement( const QString&, const QString&, const QString& , const QXmlAttributes& ) {
			printf( "%s%s\n", (const char*)indent, (const char*)qName );
			indent += "    ";
			return TRUE;
		}

		bool endElement( const QString&, const QString&, const QString& ) {
			indent.remove( (uint)0, 4 );
			printf("end %s\n", (const char *) qName);
			return TRUE;
		}

	private:
		QString indent;
};
#endif

int main( int argc, char **argv ) {
	if ( argc < 2 ) {
		fprintf( stderr, (const char *) QObject::tr("Usage: %s <xmlfile> [<xmlfile> ...]\n"), argv[0] );
		return 1;
	}
	
	// load translation
	QApplication a( argc, argv);
	QTranslator translator1(0);
	QTranslator translator2(0);
	QString locale_id = QTextCodec::locale();
	locale_id.truncate(2);
	// translations are searched starting with the last file added
	QString translation_fname1 = QString(INSTALL_PLACE) + QString("roxml_") + locale_id;
	QString translation_fname2 = QString(INSTALL_PLACE) + QString("qt_") + locale_id;
	bool loaded = translator1.load(translation_fname1, ".");
//printf("installed %d, %s\n", loaded, (const char *) translation_fname1);	
	a.installTranslator(&translator1);
	loaded = translator2.load(translation_fname2, ".");
	a.installTranslator(&translator2);
//printf("installed %d, %s\n", loaded, (const char *) translation_fname2);	
	
	//	StructureParser handler;
	QXmlSimpleReader reader;
	//	reader.setContentHandler( &handler );
	MyErrHandler eh;
	reader.setErrorHandler(&eh);
	for ( int i=1; i < argc; i++ ) {
		current_file = argv[i];
		QFile xmlFile( argv[i] );
		
		QString qstr(QObject::trUtf8("\nParsing %s...\n"));
		QCString ustr = qstr.utf8();
		const char *cstr = ustr;
		printf(cstr, argv[i]);fflush(0);
		QXmlInputSource source( &xmlFile );
		if (reader.parse( source )) {
			QString qok_str(QObject::trUtf8("File OK!\n"));
			QCString uok_str = qok_str.utf8();
			const char *cok_str = uok_str;
			printf(cok_str);
		}
		else {
			return 1;
		}
	}
	return 0;
}
